Name:           python-exploration
Version:        0.7.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tool for reading, formatting, and manipulating exploration graphs, which are graphs (or graph-sequences) that describe exploration of a game space, principally designed with Metroidvania games in mind.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://cs.wellesley.edu/~pmwh/mvmap/egtool/docs/exploration
Source:         %{pypi_source exploration}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'exploration' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-exploration
Summary:        %{summary}

%description -n python3-exploration %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-exploration graphviz,test


%prep
%autosetup -p1 -n exploration-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x graphviz,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-exploration -f %{pyproject_files}


%changelog
%autochangelog